SVNKit Home

## org.tmatesoft.svn.core.javahl
Interface PromptUserPasswordSSH

All Superinterfaces:
  org.tigris.subversion.javahl.PromptUserPassword, org.tigris.subversion.javahl.PromptUserPassword2, org.tigris.subversion.javahl.PromptUserPassword3

All Known Subinterfaces:
  PromptUserPassword4

public interface PromptUserPasswordSSH
extends org.tigris.subversion.javahl.PromptUserPassword3

Version:
  1.1.1
Author:
  TMate Software Ltd.

Field Summary

Fields inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`AccecptTemporary, AcceptPermanently, AcceptTemporary, Reject`

Method Summary
`int` `getSSHPort()`
`String` `getSSHPrivateKeyPassphrase()`
`String` `getSSHPrivateKeyPath()`
`boolean` `promptSSH(String realm, String username, int sshPort, boolean maySave)`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword3
`askQuestion, prompt, userAllowedSave`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`askTrustSSLServer`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword
`askQuestion, askYesNo, getPassword, getUsername, prompt`

Method Detail

### promptSSH

    public boolean promptSSH(String realm,
                             String username,
                             int sshPort,
                             boolean maySave)

### getSSHPrivateKeyPath

    public String getSSHPrivateKeyPath()

### getSSHPrivateKeyPassphrase

    public String getSSHPrivateKeyPassphrase()

### getSSHPort

    public int getSSHPort()

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.